Bug 666852 - libical - memleaks
libical - memleaks
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libical (Show other bugs)
6.0
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: Patch
Depends On:
Blocks: 645519
  Show dependency treegraph
 
Reported: 2011-01-03 07:48 EST by ritz
Modified: 2016-01-01 06:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch based on upstream code (17.90 KB, patch)
2011-01-03 07:48 EST, ritz
no flags Details | Diff

  None (edit)
Description ritz 2011-01-03 07:48:48 EST
Created attachment 471476 [details]
patch based on upstream code

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 ritz 2011-01-03 07:55:27 EST
Description of problem:
fixes memleaks with libical


Additional info:

commit f352679dd9ef1f31681f262b6838254465fb281a
Author: kecsup <kecsup@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Wed Feb 18 08:57:47 2009 +0000

    Fix double free to avoid crash
    
    
    git-svn-id: https://freeassociation.svn.sourceforge.net/svnroot/freeassociation/trunk@919 b29e25b1-4845-0410-9c6e-9608a45a5811

commit ef4e3797a33a9cd0036aab970a9df6797ac3e685
Author: amanera <amanera@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Fri Jun 12 12:32:06 2009 +0000

    Fixing a few memory leaks. Not freeing resources in case of errors.

commit f4e8104503c97d857124ad5dfebac8c30ad5f6f2
Author: amanera <amanera@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Thu Jul 2 06:15:11 2009 +0000

    Fixing memory leaks and not null pointers after free.
    
    
    git-svn-id: https://freeassociation.svn.sourceforge.net/svnroot/freeassociation/trunk@936 b29e25b1-4845-0410-9c6e-9608a45a5811

commit 6b9ac1ff0d4a5c2323e297316b3d060eba63e2bd
Author: amanera <amanera@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Tue Jul 21 07:25:09 2009 +0000

    Fix the regression found by Evolution and bug number 588487 (gnome bugzilla)
    
    
    git-svn-id: https://freeassociation.svn.sourceforge.net/svnroot/freeassociation/trunk@939 b29e25b1-4845-0410-9c6e-9608a45a5811


commit 9d76f669757d39af1228f3596a8c480b1db41f3c
Author: dothebart <dothebart@b29e25b1-4845-0410-9c6e-9608a45a5811>
Date:   Tue Aug 4 07:06:39 2009 +0000

    * check for NULL before doing strcmp; This probably is just caused by external bugs, but we shouldn't crash here.
    
    
    git-svn-id: https://freeassociation.svn.sourceforge.net/svnroot/freeassociation/trunk@945 b29e25b1-4845-0410-9c6e-9608a45a5811
Comment 2 ritz 2011-01-03 07:58:04 EST
note: 

merged icalarray_copy into libical-0.43/src/libical/icalrecur.c, to maintain api.
Comment 3 RHEL Product and Program Management 2011-01-07 10:48:34 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Note You need to log in before you can comment on or make changes to this bug.